FSCK(8)

NAZWA
fsck.minix - linuksowy kontroler spójności systemu plików

SKŁADNIA
fsck.minix [-larvsmf] urządzenie

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

fsck.minix przeprowadza kontrolę spójności linuksowego systemu plikowego MINIX. Obecna wersja obsługuje opcje 14- i 30-znakowych nazw plików. Program zakłada, że system plików jest unieruchomiony (nie pracuje). fsck.minix nie powinien być stosowany na zamontowanym urządzeniu, chyba że jesteś pewien, że nikt nań nie zapisuje (i pamiętaj, że jądro może zapisywać na nim gdy poszukuje plików). Urządzenie podane jest zwykle z poniższej postaci:
    /dev/hda[1-63] (1-szy dysk IDE)
    /dev/hdb[1-63] (2-gi dysk IDE)
    /dev/sda[1-15] (1-szy dysk SCSI)
    /dev/sdb[1-15] (2-gi dysk SCSI)
Jeżeli system plików został zmieniony (np. naprawiony), to fsck.minix wyświetli "FILE SYSTEM HAS CHANGED" (SYSTEM PLIKÓW SIĘ ZMIENIŁ) i wykona trzykrotnie sync(2) przed zakończeniem pracy. Ponieważ Linux nie posiada obecnie surowych urządzeń (raw devices) nie ma obecnie potrzeby przeładowywania systemu [reboot] (w przeciwieństwie do systemów, które posiadają urządzenia surowe).

OSTRZEŻENIE
fsck.minix nie powinien być stosowany na zamontowanych systemach plików. Posługiwanie się fsck.minix na zamontowanym systemie plików jest bardzo niebezpieczne. Istnieje możliwość, że usunięte pliki są wciąż używane, z tego powodu może poważnie uszkodzić doskonale poprawny system plików! Jeżeli koniecznie musisz uruchomić fsck.minix na zamontowanym systemie plików (tj. na korzeniu (root) systemu plikowego), upewnij się, że na dysk nic nie jest zapisywane i nie ma żadnych "uśpionych" ("zombies") plików oczekujących na usunięcie.

OPCJE

-l  Pokazuje wszystkie nazwy plików

-r  Wykonuje naprawy interaktywnie

-a  Wykonuje naprawy automatycznie (opcja ta implikuje -r), i służy do udzielania domyślnej odpowiedzi na wszystkie pytania. Zauważ, że może to być niezwykle niebezpieczne w przypadku poważnego uszkodzenia systemu plików.

-v  Tryb gadatliwy (verbose)

-s  Wyświetla informację super-bloku

-m  Aktywuje ostrzeżenia "mode not cleared" w stylu MINIX.

-f  Wymuś kontrolę systemu plików, nawet jeśli system plików został oznakowany jako poprawny (znakowanie to wykonywane jest przez jądro gdy system plików jest odmontowywany).

ZOBACZ TAKŻE
fsck(8), fsck.ext(8), fsck.ext2(8), fsck.xiafs(8), mkfs(8), mkfs.minix(8), mkfs.ext(8), mkfs.ext2(8), mkfs.xiafs(8), reboot(8).

DIAGNOSTYKA
Występuje wiele komunikatów diagnostycznych. Wymienione poniżej są najczęściej spotykanymi podczas zwykłego użytkowania. Jeżeli urządzenie nie istnieje, fsck.minix wyświetli "unable to read super block" (nie można odczytać super-bloku). Jeśli urządzenie istnieje, ale nie jest miniksowym systemem plików, fsck.minix wyświetli "bad magic number in super-block" (błędna liczba magiczna w super-bloku).

KODY ZAKOŃCZENIA
Kod zakończenia zwracany przez fsck.minix jest sumą poniższych:

0   Bez błędów

3   Poprawiono błędy systemu plików, jeśli system plików był zamontowany, to system powinien zostać ponownie uruchomiony.

4   Błędy systemu plików pozostały niepoprawione

8   Błąd działania

16  Błąd użycia (składni)

De facto mogą zostać zwrócone tylko 0, 3, 4, 7, 8 i 16.

AUTOR
Linus Torvalds (torvalds@cs.helsinki.fi)
Wartości kodów błędu: Rik Faith (faith@cs.unc.edu)
Dodana obsługa flagi poprawności systemu plików: Dr. Wettstein (greg%wind.uucp@plains.nodak.edu)
Dodana kontrola dla uniknięcia fsck na zamontowanym systemie plików: Daniel Quinlan (quinlan@yggdrasil.com)
Obsługa Minix v2 fs: Andreas Schwab (schwab@issan.informatik.uni-dortmund.de), aktualizacja: Nicolai Langfeldt (janl@math.uio.no)
Łata przenośności: Russell King (rmk@ecs.soton.ac.uk).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 fsck.minix

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.